Message Templates

circle-exclamation

List channeltemplates in workspace

get
Authorizations
HTTPRequired

Uses the Authorization header: 'AccessKey ' followed by your access key token

Path parameters
workspaceIdstring · uuidRequired

The unique identifier of the workspace.

projectIdstringRequired
Query parameters
metricsbooleanOptional

Include metrics in the response

Default: false
limitinteger · max: 100Optional

Limits the number of results to return.

Default: 25
pageTokenstringOptional

The cursor that keeps track of the current position in the results.

reversebooleanOptional

Reverses the order in which the results are returned.

Default: false
Responses
chevron-right
200

OK

application/json
nextPageTokenstringOptional

The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.

get
/workspaces/{workspaceId}/projects/{projectId}/channel-templates

Create channeltemplate

post
Authorizations
HTTPRequired

Uses the Authorization header: 'AccessKey ' followed by your access key token

Path parameters
workspaceIdstring · uuidRequired

The unique identifier of the workspace.

projectIdstringRequired
Query parameters
metricsbooleanOptional

Include metrics in the response

Default: false
Body
descriptionstringOptional
defaultLocalestring · enumOptional

Curated set of BCP47 locale identifiers supported by Bird messaging products

Possible values:
shortLinksobject · nullableOptional
Other propertiesanyOptional
Responses
post
/workspaces/{workspaceId}/projects/{projectId}/channel-templates

Get ChannelTemplate

get
Authorizations
HTTPRequired

Uses the Authorization header: 'AccessKey ' followed by your access key token

Path parameters
workspaceIdstring · uuidRequired

The unique identifier of the workspace.

projectIdstringRequired
channelTemplateIdstringRequired
Responses
chevron-right
200

OK

application/json
idstring · uuidRequired
projectIdstring · uuidRequired
statusstring · enumOptionalPossible values:
descriptionstringOptional
defaultLocalestring · enumOptional

Curated set of BCP47 locale identifiers supported by Bird messaging products

Possible values:
createdAtstring · date-timeRequired
updatedAtstring · date-timeOptional
isCloneablebooleanOptional
editorIdstring · uuidOptional
editorTypestringOptional
publisherIdstring · uuidOptional

The ID of the user that last published this ChannelTemplate.

publisherTypestring · stringOptional
shortLinksobject · nullableOptional
clonedFromstring · uuid · nullableOptional

The ID of the template that this template was cloned from. This field is only present if this template was cloned from another template.

metricsobjectOptional

Metrics for this template.

get
/workspaces/{workspaceId}/projects/{projectId}/channel-templates/{channelTemplateId}

Delete ChannelTemplate

delete
Authorizations
HTTPRequired

Uses the Authorization header: 'AccessKey ' followed by your access key token

Path parameters
workspaceIdstring · uuidRequired

The unique identifier of the workspace.

projectIdstringRequired
channelTemplateIdstringRequired
Responses
delete
/workspaces/{workspaceId}/projects/{projectId}/channel-templates/{channelTemplateId}

No content

Update ChannelTemplate

patch
Authorizations
HTTPRequired

Uses the Authorization header: 'AccessKey ' followed by your access key token

Path parameters
workspaceIdstring · uuidRequired

The unique identifier of the workspace.

projectIdstringRequired
channelTemplateIdstringRequired
Body
defaultLocalestring · enumOptional

Curated set of BCP47 locale identifiers supported by Bird messaging products

Possible values:
descriptionstringOptional
forceUpdatebooleanOptional

If true and template is already published, a new template will be created with the new parameters and activated.

statusstring · enum · nullableOptionalPossible values:
Other propertiesanyOptional
Responses
chevron-right
200

Updated

application/json
idstring · uuidRequired
projectIdstring · uuidRequired
statusstring · enumOptionalPossible values:
descriptionstringOptional
defaultLocalestring · enumOptional

Curated set of BCP47 locale identifiers supported by Bird messaging products

Possible values:
createdAtstring · date-timeRequired
updatedAtstring · date-timeOptional
isCloneablebooleanOptional
editorIdstring · uuidOptional
editorTypestringOptional
publisherIdstring · uuidOptional

The ID of the user that last published this ChannelTemplate.

publisherTypestring · stringOptional
shortLinksobject · nullableOptional
clonedFromstring · uuid · nullableOptional

The ID of the template that this template was cloned from. This field is only present if this template was cloned from another template.

metricsobjectOptional

Metrics for this template.

patch
/workspaces/{workspaceId}/projects/{projectId}/channel-templates/{channelTemplateId}

Activate ChannelTemplate

put
Authorizations
HTTPRequired

Uses the Authorization header: 'AccessKey ' followed by your access key token

Path parameters
workspaceIdstring · uuidRequired

The unique identifier of the workspace.

projectIdstringRequired
channelTemplateIdstringRequired
Responses
chevron-right
200

Activated

No content

put
/workspaces/{workspaceId}/projects/{projectId}/channel-templates/{channelTemplateId}/activate

No content

Deactivate ChannelTemplate

put
Authorizations
HTTPRequired

Uses the Authorization header: 'AccessKey ' followed by your access key token

Path parameters
workspaceIdstring · uuidRequired

The unique identifier of the workspace.

projectIdstringRequired
channelTemplateIdstringRequired
Responses
chevron-right
200

Deactivated

No content

put
/workspaces/{workspaceId}/projects/{projectId}/channel-templates/{channelTemplateId}/deactivate

No content

Create ChannelTemplate Preview

post
Authorizations
HTTPRequired

Uses the Authorization header: 'AccessKey ' followed by your access key token

Path parameters
workspaceIdstring · uuidRequired

The unique identifier of the workspace.

Body
platformstring · min: 1Optional
shortLinksobject · nullableOptional
contactIdstring · nullableOptional
localestring · locale-bcp47 · nullableOptional
Responses
chevron-right
200

OK

application/json
typestring · enumOptionalPossible values:
bodyone ofOptional
or
or
or
or
or
or
or
or
or
or
post
/workspaces/{workspaceId}/projects/channel-templates/create-preview

Last updated

Was this helpful?